Subject: Re: is cygwin lame???
From: "Michael Scheibler" <[email-masked]>
To: <[email-masked]>
Date: Thu, 26 Jul 2001 13:17:32 +0200

----- Original Message -----
From: "Christopher Faylor" <[email-masked]>
Sent: Wednesday, July 25, 2001 4:41 PM

> On Wed, Jul 25, 2001 at 02:26:32PM +0200, Michael Scheibler wrote:
> >We are experiencing a major difference in performance between bash on a
real
> >unix system and on cygwin. I can't imagine that this is a problem of
> >Windows - it might be a catastrophe in os design, but you can't say that
> >it's THAT slow.
> >Now we looked at out network monitoring tools and found this:
> >
> >.
> >.
> >.
> >.
> >31384 13:04:10 bash.exe:112 FASTIO_READ Z:\make_classdll.sh SUCCESS
Offset:
> >598 Length: 1
> >31385 13:04:10 bash.exe:112 FASTIO_CHECK_IF_POSSIBLE Z:\make_classdll.sh
> >SUCCESS Read: Offset: 599 Length: 1
> >31386 13:04:10 bash.exe:112 FASTIO_READ Z:\make_classdll.sh SUCCESS
Offset:
> >599 Length: 1
> >31387 13:04:10 bash.exe:112 FASTIO_CHECK_IF_POSSIBLE Z:\make_classdll.sh
> >SUCCESS Read: Offset: 600 Length: 1
> >31388 13:04:10 bash.exe:112 FASTIO_READ Z:\make_classdll.sh SUCCESS
Offset:
> >600 Length: 1
>
> Thanks for the bug report.  You've properly hit on the problem.
>
> Cygwin is indeed lame or as we like to call it "ambulatorally challenged".
>
> Sorry for the inconvenience.
>

Please don't apologize! We are just trying to find out, why our build
process is so slow. I have to say THANK YOU for cygwin. I think you are
doing a great job. And as I mentioned to John already, my english could be
much better - I didn't want to be insulting with my subject.
It should be just a normal question. And again, thank you for the quick
answer.
Does this mean, that we really found a problem in cygwin? Is it possible to
fix it?

> cgf
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/